#!/bin/sh

# Destkop applications recursive fix it
# 
if [ "$UID" != "0" ];then
  echo "
  
  NEM VAGY ROOT 
  
  A javítást csak root juggal fut
  "
  echo "írd be:
  rootmod és üsd le az entert 
  majd add meg a root jelszüt és futtasd újra:"
  echo "  sh $(pwd)/$0"
  echo ""
  exit 1
fi

rpm -e --nodeps app-helper
rm -f /var/lib/rpm/filetriggers/app-helper*
for i in $(rpm -qa) ; do [ ! -n "$(echo $i | grep -e default-apps -e workspace -e desktop -e pp-helper)" ]&& D=$(rpm -ql $i | grep '/applications/' | grep "\.desktop$") ; [ -n "$D" ]&&echo "$i - $D" && [ ! -f "$D" ]&& rpm -e --nodeps "$i" && telepites --auto "$i" ; done
rpm -e --nodeps plasma-desktop && telepites --auto plasma-deskop
rpm -e --nodeps plasma-workspace && telepites --auto plasma-workspace

echo "Elkészült..."
